#!/usr/bin/env python3

import sys
sys.path.insert(1, 'code/lib')
import lmdk_lib
import numpy as np
from matplotlib import pyplot as plt
from scipy.stats import laplace

# Initialize plot
lmdk_lib.plot_init()
# The x axis
x = np.arange(-3, 3.1, .1)
plt.xlabel('Noise')
# Set y axis label
plt.ylabel('Likelihood')
# Draw the first laplace distribution
plt.plot(x,
         laplace.pdf(x, loc=0, scale=1/1),
         label='Lap(0, 1)',
         linewidth=lmdk_lib.line_width*2)

plt.plot(x,
         laplace.pdf(x, loc=0, scale=1/.5),
         label='Lap(0, 2)',
         linewidth=lmdk_lib.line_width*2)

plt.plot(x,
         laplace.pdf(x, loc=0, scale=1/.25),
         label='Lap(0, 4)',
         linewidth=lmdk_lib.line_width*2)

# Configure the plot
plt.axis([-3, 3, 0.0, 0.6])  # Set plot box.
# Plot legend
lmdk_lib.plot_legend()
# Show the plot in a new window
plt.show()
